@font-face {
  font-family: "Shantell Sans";
  src: url("/fonts/ShantellSans-Light.woff2") format("woff2"), url("/fonts/ShantellSans-Light.woff") format("woff"), url("/fonts/ShantellSans-Light.ttf") format("truetype");
  font-weight: 300;
  font-style: normal;
  font-display: swap;
}
* {
  box-sizing: border-box;
}
html,
body {
  margin: 0;
  padding: 0;
  width: 100%;
  height: 100%;
  font-family: "Shantell Sans", "Comic Sans MS", "Comic Sans", cursive;
  line-height: 150%;
  font-size: 15px;
  color: #333;
  cursor: url("/img/base-cursor.svg") 5 5, default;
}
a {
  cursor: url("/img/base-cursor.svg") 5 5, default;
}
body {
  background: rgb(194, 245, 177);
  background: linear-gradient(180deg, rgba(194, 245, 177, 1) 55%, rgba(167, 236, 148, 1) 45%);
  display: flex;
  flex-wrap: nowrap;
  justify-content: space-between;
}

h1 {
  font-size: 2em;
}

h2 {
  font-size: 1.5em;
  color: #7a604a;
}

.section {
  flex: 1;
  width: 50%;
}

#left {
  padding: 20px;
}
#right {
  background-color: #f5d4a2;
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  border-left: 2px solid #7a604a;
  position: relative;
}
.mid {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  margin-bottom: 20px;
}
#funds {
  background: #f9faf7 url(/img/money-leaf.svg) no-repeat left;
  display: inline-block;
  font-size: 2em;
  padding: 6px 15px 6px 38px;
  border-radius: 4px;
}
#saves div, #addsaves {
  background: #eaffd8;
  font-size: 1.5em;
  margin: 10px 6px;
  height: 28px;
  width: 28px;
  text-align: center;
  border-radius: 50%;
  border: 2px solid;
  color: #7a604a;
  outline: solid 4px transparent;
}
#saves div.active {
  background-color: #97f990;
  outline-color: #f9faf7;
}
#saves div:hover, #addsaves:hover {
  background-color: #97f990;
}
#addsaves {
  border-style: dashed;
}
.fw {
  width: 100%;
}
.sb {
  margin-top: auto;
    width: 40px;
}
.player-ava {
  margin: 0 auto;
}
.player-ava,
.player-ava > .body {
  padding: 0;
  position: relative;
}
.player-ava:before {
  content: "";
  width: 80px;
  height: 10px;
  background: #8ed475;
  position: absolute;
  border-radius: 50%;
  bottom: 9%;
  margin: 0 auto;
  left: 0;
  right: 0;
  z-index: 1;
  box-shadow: #8ed475 0px 0px 7px 7px;
}

.player-ava > div {
 /* -webkit-transition: all 0.6s ease;
  transition: all 0.6s ease; */
  background-position: center center;
  background-size: 170%;
  background-repeat: no-repeat;
  width: 250px;
  height: 360px;
  position: absolute;
  z-index: 2;
  top: 0;
}
.player-ava > .body {
  background: url(/avatars/body/1/default.svg) no-repeat center center/170%;
}
.action-buttons {
  text-align: center;
  position: relative;
  z-index: 2;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.action-buttons > div {
  display: inline-block;
  font-size: 1.8em;
  border-radius: 12px;
  border: 2px solid #7a604a;
  margin: 6px;
}

#buy {
  padding: 0 15px 0 38px;
  line-height: 1.4em;
  position: relative;
  background: #fff95d url(/img/money-leaf.svg) no-repeat left;
}

#buy:hover,
.shop-btn:hover {
  background-color: #fff829;
}

#items-count {
  position: absolute;
  top: -0.5em;
  right: -0.5em;
  font-size: 0.8em;
  background-color: #ff7d69;
  border-radius: 50%;
  border: inherit;
  line-height: 1.1em;
  min-width: 1.1em;
}
#reset, #save{
  background-color: #8fdef4;
  padding: 0 15px;
  line-height: 1.4em;
  opacity: 0.5;
  pointer-events: none;
}
#reset.active, #save.active {
  opacity: 1;
  pointer-events: auto;
}
#reset:hover, #save:hover {
  background-color: #6fe6ff;
}
.shop-btn {
    background: #fff95d;
    border-radius: 12px;
    border: 2px solid #7a604a;
    padding: 0 2px;
}
.shop-btn > img {
    display: block;
}
.footer {
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.footer .go-back {
  display: block;
}
.footer .go-back:hover {
  filter: saturate(1.5);
}
.items-menu-wrap {
  display: flex;
  border-bottom: 6px #e0b787 dotted;
  position: relative;
}
.items-menu {
  display: flex;
  flex-wrap: nowrap;
  overflow-x: auto;
  overflow-y: hidden;
  padding: 0 5px;
  scroll-behavior: smooth;
}

.items-menu::-webkit-scrollbar {
  display: none;
}
.items-bottom {
  min-height: 20px;
  border-top: 6px #e0b787 dotted;
}
.items {
  height: 100%;
  background: #f9faf7;
  padding: 20px;
  display: flex;
  flex-wrap: wrap;
  align-items: flex-start;
  align-content: flex-start;
  overflow: auto;
  min-height: 100px;
}
/* #items::-webkit-scrollbar {
  display: none;
} */
.items-cats {
  display: flex;
  flex-direction: column;
  position: absolute;
  top: 20%;
  left: -50px;
}
.items-cats > div {
  display: flex;
  border-radius: 8px 0 0 8px;
  margin: 4px 0;
  border: 2px solid #7a604a;
  width: 50px;
  height: 50px;
  background-color: #ffa281;
  background-repeat: no-repeat;
  background-position: center center;
  background-size: 250%;
  -webkit-transition: background-color 0.2s ease-in-out;
  transition: background-color 0.2s ease-in-out;
}
.items-cats > div.active {
  background-color: #f9faf7;
  border-right: 3px solid #f9faf7;
}
.items-cats > div.face {
  background-image: url(/img/editor/face-icon.svg);
}
.items-cats > div.clothes {
  background-image: url(/img/editor/clothes-icon.svg);
}
.items-cats > div.hair {
  background-image: url(/img/editor/hair-icon.svg);
}
.items-cats > div:hover {
  background-color: #f9faf7;
}

.items-menu > div > div {
  display: flex;
  width: 64px;
  height: 64px;
  background-repeat: no-repeat;
  background-position: center center;
  background-size: 200%;
  margin: 0 26px;
  -webkit-transition: background-image 0.2s ease-in-out;
  transition: background-image 0.2s ease-in-out;
}
.clothes-menu,
.hair-menu {
  display: none;
}
.face-menu {
  display: flex;
}
.clothes-menu > div.shirts {
  background-image: url(/img/editor/clothes/shirts.svg);
}
.clothes-menu > div.shirts:hover,
.clothes-menu > div.shirts.active {
  background-image: url(/img/editor/clothes/shirts-active.svg);
}
.clothes-menu > div.pants {
  background-image: url(/img/editor/clothes/pants.svg);
}
.clothes-menu > div.pants:hover,
.clothes-menu > div.pants.active {
  background-image: url(/img/editor/clothes/pants-active.svg);
}
.clothes-menu > div.suit {
  background-image: url(/img/editor/clothes/suit.svg);
}
.clothes-menu > div.suit:hover,
.clothes-menu > div.suit.active {
  background-image: url(/img/editor/clothes/suit-active.svg);
}
.clothes-menu > div.socks {
    background-image: url(/img/editor/clothes/socks.svg);
}
.clothes-menu > div.socks:hover,
.clothes-menu > div.socks.active {
    background-image: url(/img/editor/clothes/socks-active.svg);
}
.clothes-menu > div.shoes {
  background-image: url(/img/editor/clothes/shoes.svg);
}
.clothes-menu > div.shoes:hover,
.clothes-menu > div.shoes.active {
  background-image: url(/img/editor/clothes/shoes-active.svg);
}

.clothes-menu > div.hat {
  background-image: url(/img/editor/clothes/hat.svg);
}
.clothes-menu > div.hat:hover,
.clothes-menu > div.hat.active {
  background-image: url(/img/editor/clothes/hat-active.svg);
}

.clothes-menu > div.accessories {
  background-image: url(/img/editor/clothes/accessories.svg);
}
.clothes-menu > div.accessories:hover,
.clothes-menu > div.accessories.active {
  background-image: url(/img/editor/clothes/accessories-active.svg);
}

.hair-menu > div.hair-color {
  color: transparent;
  background-color: #e0b787;
  border-radius: 50% 0 0 50%;
  margin-right: 0;
  border: 4px solid #f5d4a2;
  padding: 5px;
  border-right: none;
  border-top-width: 6px;
  padding-right: 10px;
}
.items-menu .hair-color:after {
  content: "";
  width: 100%;
  height: 100%;
  background-color: currentColor;
  border-radius: 50%;
  background-image: url(/img/editor/hair/hair-color.svg);
  background-repeat: no-repeat;
  background-position: center center;
  background-size: 200%;
}
.items-menu .hair-color + div {
  margin-left: 0;
  background-color: #e0b787;
  border-radius: 0 50% 50% 0;
  border: 4px solid #f5d4a2;
  border-left: none;
  border-top-width: 6px;
}
.hair-menu > div.hair-color:hover:after,
.hair-menu > div.hair-color.active:after {
  background-image: url(/img/editor/hair/hair-color-active.svg);
}
.hair-menu > div.back-hair {
  background-image: url(/img/editor/hair/back-hair.svg);
}
.hair-menu > div.back-hair:hover,
.hair-menu > div.back-hair.active {
  background-image: url(/img/editor/hair/back-hair-active.svg);
}
.hair-menu > div.front-hair {
  background-image: url(/img/editor/hair/front-hair.svg);
}
.hair-menu > div.front-hair:hover,
.hair-menu > div.front-hair.active {
  background-image: url(/img/editor/hair/front-hair-active.svg);
}

.face-menu > div.skin-color {
  background-image: url(/img/editor/face/skin-color.svg);
}
.face-menu > div.skin-color:hover,
.face-menu > div.skin-color.active {
  background-image: url(/img/editor/face/skin-color-active.svg);
}

.face-menu > div.eye-color {
  background-image: url(/img/editor/face/eye-color.svg);
}
.face-menu > div.eye-color:hover,
.face-menu > div.eye-color.active {
  background-image: url(/img/editor/face/eye-color-active.svg);
}
.face-menu > div.mole {
  background-image: url(/img/editor/face/mole.svg);
}
.face-menu > div.mole:hover,
.face-menu > div.mole.active {
  background-image: url(/img/editor/face/mole-active.svg);
}

.face-menu > div.ear {
  background-image: url(/img/editor/face/ear.svg);
}
.face-menu > div.ear:hover,
.face-menu > div.ear.active {
  background-image: url(/img/editor/face/ear-active.svg);
}

.face-menu > div.nose {
  background-image: url(/img/editor/face/nose.svg);
}
.face-menu > div.nose:hover,
.face-menu > div.nose.active {
  background-image: url(/img/editor/face/nose-active.svg);
}

.face-menu > div.scar {
  background-image: url(/img/editor/face/scar.svg);
}
.face-menu > div.scar:hover,
.face-menu > div.scar.active {
  background-image: url(/img/editor/face/scar-active.svg);
}

.face-menu > div.piercing {
  background-image: url(/img/editor/face/piercing.svg);
}
.face-menu > div.piercing:hover,
.face-menu > div.piercing.active {
  background-image: url(/img/editor/face/piercing-active.svg);
}

.face-menu > div.earrings {
  background-image: url(/img/editor/face/earrings.svg);
}
.face-menu > div.earrings:hover,
.face-menu > div.earrings.active {
  background-image: url(/img/editor/face/earrings-active.svg);
}
.scroll-btn {
  width: 32px;
  height: 64px;
  background: linear-gradient(90deg, rgb(0 0 0 / 0%), rgb(245 212 162) 40%);
  position: absolute;
  display: none;
}
.scroll-btn:after {
  content: "";
  width: 100%;
  height: 100%;
  display: block;
  background-repeat: no-repeat;
  background-position: center center;
  background-size: 80%;
  background-image: url(/img/editor/arrow.svg);
}
.scroll-btn:hover:after {
  background-image: url(/img/editor/arrow-hover.svg);
}
.scroll-btn.left {
  transform: rotate(180deg);
  left: 0;
}
.scroll-btn.right {
  right: 0;
}
.item {
  display: flex;
  width: 128px;
  height: 128px;
  background-repeat: no-repeat;
  background-position: center 67%;
  background-size: 300%;
  background-color: #f1ebdf;
  border-radius: 12px;
  border: 4px solid transparent;
  position: relative;
  margin: 26px;
    justify-content: center;
}
.item:hover {
  border-color: #7a5f49;
}
.item.active:after {
  content: "";
  width: 25px;
  height: 25px;
  border: 3px solid #7a5f49;
  background-color: #8ed475;
  border-radius: 50%;
  position: absolute;
  bottom: -10px;
  right: -10px;
  background-repeat: no-repeat;
  background-position: center;
  background-size: 1;
  background-image: url(data:image/svg+xml;base64,PHN2ZyBzdHlsZT0iZmlsbDojRkZGRkZGOyIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIiB3aWR0aD0iMjQiIGhlaWdodD0iMjQiIHZpZXdCb3g9IjAgMCAyNCAyNCI+PHBhdGggZD0iTTIwLjI4NSAybC0xMS4yODUgMTEuNTY3LTUuMjg2LTUuMDExLTMuNzE0IDMuNzE2IDkgOC43MjggMTUtMTUuMjg1eiIvPjwvc3ZnPg==);
  background-size: 60%;
}
.colors .item {
  width: 64px;
  height: 64px;
  margin: 14px;
}
/* .items-colors {
  background: #f1ebdf;
  display: none;
}
.items-colors > div {
  width: 38px;
  height: 38px;
  margin: 12px;
  border-radius: 8px;
  border: 1px solid #fff;
}
.items-colors > div.active {
  box-shadow: inset 0 0 0 3px #fff, inset 0 0 1px 4px rgba(0, 0, 0, 0.2);
  border-color: transparent;
} */
.items.hair-1 .item,
.items.hair-2 .item,
.items.hair-3 .item,
.items.hair-4 .item {
  background-position: center 10%;
  background-size: 220%;
}
.items.hair-2 .item {
  background-size: 140%;
}
.body .item {
  background-size: 100%;
}
.bam {
  -webkit-animation-duration: 1s;
  animation-duration: 1s;
  -webkit-animation-fill-mode: both;
  animation-fill-mode: both;
  user-select: none;
}
.bam:active {
  -webkit-animation-name: bam;
  animation-name: bam;
}
.transition,
.transition > * {
  -webkit-transition: all 0.3s ease;
  transition: all 0.3s ease;
}

.cost{
    display: flex;
    align-items: flex-end;
    position: absolute;
    bottom: -34px;
    justify-content: center;
    font-size: 20px;
}
.cost img{
    margin-right:2px
}
.shop #save, .shop #buy{display:none}
@media (min-height: 860px) {
  .player-ava,
  .player-ava > div {
    width: 350px;
    height: 510px;
  }
  .player-ava:before {
    width: 200px;
    height: 24px;
  }
}

@media (max-height: 860px) {
  .player-ava,
  .player-ava > div {
    width: 250px;
    height: 360px;
  }

  .player-ava:before {
    width: 130px;
    height: 16px;
  }
}

@media (max-aspect-ratio: 3/4) {
  body {
    background: linear-gradient(180deg, rgba(194, 245, 177, 1) 50%, rgba(167, 236, 148, 1) 50%);
  }
}

@media (max-width: 1000px) {
  body {
    flex-direction: column;
  }
  .section {
    width: 100%;
  }
  #right {
    border-left: none;
    border-top: 2px solid #7a604a;
  }
  .items-cats {
    left: auto;
    top: -50px;
    flex-direction: row;
    width: 100%;
    justify-content: center;
    align-items: center;
  }
  .items-cats > div {
    border-radius: 8px 8px 0 0;
    margin: 0 4px;
  }
  .items-cats > div.active {
    border-right: 2px solid #7a604a;
    border-bottom: 3px solid #f5d4a2;
  }
}

@keyframes bam {
  0%,
  20%,
  40%,
  50% {
    transform: scale(1, 1);
  }
  10%,
  30% {
    transform: scale(1.1, 1.1);
  }
  100% {
    transform: scale(1, 1);
  }
}
